QGIS Application - Bug report #16094
Opening Project in Standalone PyQGIS script leads to Python Crash
2017-01-18 01:51 PM - Raphael Dumas

Status: Closed

Priority: Low

Assignee:

Category: Python plugins

Affected QGIS version:2.14.10 Regression?: No
Operating System: Windows 7 Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corruptsdata: Copied to github as #: 24008
Description

In Windows 7 x64 SP1 using Python 2.7 x64, | installed QGIS 2.14.10 from the standalone x64 installer. | was able to run this script
successfully in 2.14.9, but noticed that since | installed 2.14.10 the script causes a crash in "Python.exe’

Script source: http:/gis.stackexchange.com/a/223248/36886

from qgis.core import *
from PyQt4.QtCore import QFilelnfo
from PyQt4.QtGui import QApplication

QgsApplication.setPrefixPath(r"C:\\Program Files\QGIS Essen\\apps\\qgis-Itr", True)
qgs = QApplication([], False)

QgsApplication.initQgis()

# Get the project instance

project = QgsProject.instance()

# Open the project

project.read(QFilelnfo('C:/path/to/project/project.qgs’))

print project.fileName()

# Get the layers in the project

layers = QgsMapLayerRegistry.instance().mapLayers()

print layers
QgsApplication.exitQgis()

I've tried with two different project files, both of which open correctly in QGIS

History

#1 - 2017-01-19 11:40 PM - Saber Razmjooei

- Priority changed from Severe/Regression to Low

- Status changed from Open to Feedback

- Category changed from Project Loading/Saving to Python plugins

Check your path to QGIS:
C:\\Program Files\\QGIS Essen\\apps\\qgis-Itr
Does that exist? Or changed to QGIS 2.147?
http://gis.stackexchange.com/a/223248/36886

#2 - 2017-01-20 07:30 AM - Raphael Dumas

Yup, still exists. | manually changed it from 2.14 during install so that the install path didn't flip flop between LTR releases.

#3 - 2017-01-23 09:43 AM - Raphael Dumas
- Status changed from Feedback to Closed

Upgrading to 2.14.11 solved this problem.
